package com.ynet.life.servlet;

import com.sun.image.codec.jpeg.JPEGCodec;
import com.ynet.gene.core.GENEConstance;
import com.ynet.life.base.Trace;
import java.awt.Color;
import java.awt.image.BufferedImage;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Random;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/* loaded from: com_ynet_life_servlet.jar:com/ynet/life/servlet/personalImageDisplayServlet.class */
public class personalImageDisplayServlet extends HttpServlet {
    private String verifyChars = "345678abcdefhjkmnpqrstuvwxyABCDEFGHJKMNPQRSTUVWXY";
    private String verifyFontName = "Arial";
    private int verifyWidth = 90;
    private int verifyHeight = 44;
    private int verifyPinLength = 4;
    private int verifyPinFontSize = 14;
    private static int seed = 0;

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v2 */
    /* JADX WARN: Type inference failed for: r0v26, types: [java.io.FileInputStream] */
    protected void doGet(HttpServletRequest request, HttpServletResponse response) {
        String path = request.getParameter("filePath");
        FileNotFoundException fileNotFoundException = 0;
        InputStream input = null;
        try {
            fileNotFoundException = new FileInputStream(path);
            input = fileNotFoundException;
        } catch (FileNotFoundException e) {
            fileNotFoundException.printStackTrace();
        }
        OutputStream outputStream = null;
        try {
            try {
                outputStream = response.getOutputStream();
                while (true) {
                    int x = input.read();
                    if (x == -1) {
                        break;
                    } else {
                        outputStream.write(x);
                    }
                }
                response.setContentType("image/jpeg");
                response.setHeader("Pragma", "No-cache");
                response.setHeader("Cache-Control", "no-cache");
                response.setDateHeader("Expires", 0L);
                outputStream.flush();
                if (outputStream != null) {
                    try {
                        outputStream.close();
                    } catch (IOException ex) {
                        Trace.logWarning(GENEConstance.GENE_MVC, "HTTP数据流对象关闭异常", ex);
                    }
                }
            } catch (IOException ex2) {
                Trace.logError(GENEConstance.GENE_MVC, "验证码生成出错", ex2);
                if (outputStream != null) {
                    try {
                        outputStream.close();
                    } catch (IOException ex3) {
                        Trace.logWarning(GENEConstance.GENE_MVC, "HTTP数据流对象关闭异常", ex3);
                    }
                }
            }
        } catch (Throwable th) {
            if (outputStream != null) {
                try {
                    outputStream.close();
                } catch (IOException ex4) {
                    Trace.logWarning(GENEConstance.GENE_MVC, "HTTP数据流对象关闭异常", ex4);
                }
            }
            throw th;
        }
    }

    public static void genColorGraphics(String exPwd, OutputStream out) throws IOException {
        int imageWidth = exPwd.length() * 18;
        BufferedImage image = new BufferedImage(imageWidth, 28, 1);
        image.getGraphics().dispose();
        JPEGCodec.createJPEGEncoder(out).encode(image);
    }

    private Color getRandColor(int fc, int bc, Random random) {
        if (fc > 255) {
            fc = 255;
        }
        if (bc > 255) {
            bc = 255;
        }
        int r = fc + random.nextInt(bc - fc);
        int g = fc + random.nextInt(bc - fc);
        int b = fc + random.nextInt(bc - fc);
        return new Color(r, g, b);
    }
}
